{% if is_approved %}
**All required jobs passed! 🥳**
{% else %}
**Required job(s) failed! 😱**
{% endif %}
<hr>

**Check(s)**
<ul>
  <li>
{{ '✅' if check_tickets_job.status == 'success' else '❌' }}{{ ' <b>(Required)</b>' if 'check_tickets' in required_jobs }} Tickets are approved? ([logs]({{ check_tickets_job.url }}))
  </li>
</ul>

**Builds(s)**
<ul>
{% for job_name in build_jobs %}
  <li>
{{ '✅' if build_jobs[job_name].status == 'success' else '❌' }}{{ ' <b>(Required)</b>' if job_name in required_jobs }} {{ job_name }} ([logs]({{ build_jobs[job_name].url }}))
  </li>
{% endfor %}
</ul>

**Test(s)**
<ul>
{% for job_name in test_jobs %}
  <li>
{{ '✅' if test_jobs[job_name].status == 'success' else '❌' }}{{ ' <b>(Required)</b>' if job_name in required_jobs }} {{ job_name }} ([logs]({{ test_jobs[job_name].url }}))
  </li>
{% endfor %}
</ul>

{% if is_approved %}
This merge request is **approved** :+1:
{% if failed_test_jobs %}

**However...**
{% endif %}
{% else %}
This merge request is **NOT APPROVED** because one or more required jobs have failed.
{% endif %}

{% if failed_test_jobs %}
There are some failed tests 🫣 Please review the test results and either:
* Fix the merge request
* Or reply to this comment with an explanation of why the failed test(s) shouldn't block this merge request, then click the “Resolve thread” button
{% endif %}
